GCLOUD_CONTAINER_CLUSTERS_RESIZE(1)

NAME

gcloud container clusters resize - resizes an existing cluster for running containers

SYNOPSIS

gcloud container clusters resize NAME --size=SIZE [--async] [--node-pool=NODE_POOL] [--wait] [--zone=ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Resize an existing cluster to a provided size. If you have multiple node pools, you must specify which node pool to resize by using the --node-pool flag. You are not required to use the flag if you have a single node pool. When increasing the size of a container cluster, the new instances are created with the same configuration as the existing instances. Existing pods are not moved onto the new instances, but new pods (such as those created by resizing a replication controller) will be scheduled onto the new instances. When decreasing a cluster, the pods that are scheduled on the instances being removed will be killed. If your pods are being managed by a replication controller, the controller will attempt to reschedule them onto the remaining instances. If your pods are not managed by a replication controller, they will not be restarted. Note that when resizing down, instances running pods and instances without pods are not differentiated. Resize will pick instances to remove at random.

POSITIONAL ARGUMENTS

    NAME
        The name of this cluster.

REQUIRED FLAGS

    --size=SIZE
        Target number of nodes in the cluster.

OPTIONAL FLAGS

    --async
        Don't wait for the operation to complete.

    --node-pool=NODE_POOL
        The node pool to resize.

    --wait
        DEPRECATED, use --no-async. Poll the operation for completion after issuing a create request.

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.